curl --request PUT \
--url https://api.hubapi.com/integrators/timeline/v3/{appId}/event-templates/{eventTemplateId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"name": "<string>",
"tokens": [
{
"label": "<string>",
"name": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"objectPropertyName": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"detailTemplate": "<string>",
"headerTemplate": "<string>"
}
'import requests
url = "https://api.hubapi.com/integrators/timeline/v3/{appId}/event-templates/{eventTemplateId}"
payload = {
"id": "<string>",
"name": "<string>",
"tokens": [
{
"label": "<string>",
"name": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"objectPropertyName": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"detailTemplate": "<string>",
"headerTemplate": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
name: '<string>',
tokens: [
{
label: '<string>',
name: '<string>',
options: [{label: '<string>', value: '<string>'}],
createdAt: '2023-11-07T05:31:56Z',
objectPropertyName: '<string>',
updatedAt: '2023-11-07T05:31:56Z'
}
],
detailTemplate: '<string>',
headerTemplate: '<string>'
})
};
fetch('https://api.hubapi.com/integrators/timeline/v3/{appId}/event-templates/{eventTemplateId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"objectType": "<string>",
"tokens": [
{
"label": "<string>",
"name": "<string>",
"options": [
{
"label": "<string>",
"value": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"objectPropertyName": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"detailTemplate": "<string>",
"headerTemplate": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Update an event template
Update an existing event template, specified by ID.
Supported products
Supported products
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
The template ID.
The template name.
A collection of tokens that can be used as custom properties on the event and to create fully fledged CRM objects.
Show child attributes
Show child attributes
This uses Markdown syntax with Handlebars and event-specific data to render HTML on a timeline when you expand the details.
This uses Markdown syntax with Handlebars and event-specific data to render HTML on a timeline as a header.
Response
successful operation
The template ID.
The template name.
The type of CRM object this template is for. [Contacts, companies, tickets, and deals] are supported.
A collection of tokens that can be used as custom properties on the event and to create fully fledged CRM objects.
Show child attributes
Show child attributes
The date and time that the Event Template was created, as an ISO 8601 timestamp. Will be null if the template was created before Feb 18th, 2020.
This uses Markdown syntax with Handlebars and event-specific data to render HTML on a timeline when you expand the details.
This uses Markdown syntax with Handlebars and event-specific data to render HTML on a timeline as a header.
The date and time that the Event Template was last updated, as an ISO 8601 timestamp. Will be null if the template was created before Feb 18th, 2020.
Was this page helpful?